SUM(1)

NAME
sum, md5sum, sha1sum - sum and count blocks in a file

SYNOPSIS
sum [ -5r ] [ file ... ]

md5sum [ file ... ]

sha1sum [ file ... ]

DESCRIPTION
By default, sum calculates and prints a 32-bit hexadecimal checksum, a byte count, and the name of each file. The checksum is also a function of the input length. If no files are given, the standard input is summed. Other summing algorithms are available. The options are

-r  Sum with the algorithm of System V's sum -r and print the length (in 1K blocks) of the input.

-5  Sum with System V's default algorithm and print the length (in 512-byte blocks) of the input.

Sum is typically used to look for bad spots, to validate a file communicated over some transmission line or as a quick way to determine if two files on different machines might be the same.

Md5sum computes the 32 hex digit RSA Data Security, Inc. MD5 Message-Digest Algorithm described in RFC1321. If no files are given, the standard input is summed.

Sha1sum computes the 40 hex digit National Institute of Standards and Technology SHA1 secure hash algorithm described in FIPS PUB 180-1. If no files are given, the standard input is summed.

SOURCE
/usr/local/plan9/src/cmd/sum.c
/usr/local/plan9/src/cmd/md5sum.c
/usr/local/plan9/src/cmd/sha1sum.c

SEE ALSO
cmp(1), wc(1)